package com.cardiff.lcTest;


import com.cardiff.client_project.pojo.dto.HospitalDTO;
import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

public class JUnitTest {

    @Test
    void testHospitalDTO() {
        HospitalDTO hospital = new HospitalDTO();
        hospital.setId(1);
        hospital.setName("Test Hospital");
        hospital.setLocation("Cardiff City");
        hospital.setAddress("123 Street, Cardiff");
        hospital.setPhone("123456789");
        hospital.setTotalBeds(200);
        hospital.setAvailableBeds(150);
        hospital.setOccupancyRate(0.25);
        hospital.setApprovalStatus("Approved");

        assertEquals(1, hospital.getId());
        assertEquals("Test Hospital", hospital.getName());
        assertEquals("Cardiff City", hospital.getLocation());
        assertEquals("123 Street, Cardiff", hospital.getAddress());
        assertEquals("123456789", hospital.getPhone());
        assertEquals(200, hospital.getTotalBeds());
        assertEquals(150, hospital.getAvailableBeds());
        assertEquals(0.25, hospital.getOccupancyRate());
        assertEquals("Approved", hospital.getApprovalStatus());
    }
}
